<div class="alert alert-danger" id="msg-formAlasan">
    &{'paket.alasan_wajib_isi'}
</div>

#{form @nonlelang.PaketPlCtr.submit_pp(paket.pkt_id), id:'form-ppk'}
    <input type="hidden" name="ppId" value="${newPp.pp_id}">
    <input type="hidden" name="old_pp_id" value="${oldPp.pp_id}">
    <table class="table table-sm">
        <tr>
            <th width="80px" class="bgwarning">Nama Pejabat Pengadaan Lama </th>
            <td width="100px">
                ${oldPp.getPegawai().peg_nama}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bgwarning">Nama Pengadaan Baru </th>
            <td width="100px">
                ${newPp.getPegawai().peg_nama}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bgwarning">Alasan <span class="warning">*</span></th>
            <td width="100px">
                <textarea name="alasan" class="form-control" placeholder="&{'paket.placeholder_alasan_pejabat'}"></textarea>
            </td>
        </tr>
    </table>
<button type="submit" class="btn btn-success  simpan"> <i class="fa fa-save"></i> Simpan</button>
#{/form}

<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formAlasan").hide();
    });

    $(".simpan").click(function (e) {
        return validate();
    });

    function validate(){
        var alasanGanti = $("textarea[name=\"alasan\"]").val();

        if (alasanGanti == null || alasanGanti == "") {
            $("#msg-formAlasan").show();
            return false;
        }

        $("#msg-formAlasan").hide();
        return true;

    }

</script>
